<?php get_header(); ?>

<div id="content" class="narrow">

	<?php if ( is_404() || is_category() || is_month() ||
				is_search() || is_paged() || is_tag() ) {
	?>
	<p class="infopage">
	<?php /* If this is a 404 page */ if (is_404()) { ?>
	<?php /* If this is a category archive */ } elseif (is_category()) { ?>
	<?php printf(__('You are currently browsing the archives for the <strong>%s</strong> category.'), single_cat_title('', false)); ?>

	<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
	<?php printf(__('You are currently browsing the <a href="%1$s/">%2$s</a> blog archives for <strong>%3$s</strong>.'), get_bloginfo('url'), get_bloginfo('name'), get_the_time(__('F, Y', 'kubrick'))); ?>

	<?php /* If this is a category archive */ } elseif (is_tag()) { ?>
	You are currently browsing the archives for the <strong><?php single_tag_title(''); ?></strong> tag.

	<?php /* If this is a search */ } elseif (is_search()) { ?>
	<?php printf(__('You have searched the <a href="%1$s/">%2$s</a> blog archives for <strong>&#8216;%3$s&#8217;</strong>.'), get_bloginfo('url'), get_bloginfo('name'), get_search_query()); ?>

	<?php /* If this is a monthly archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
	<?php printf(__('You are currently browsing the <a href="%1$s/">%2$s</a> blog archives.'), get_bloginfo('url'), get_bloginfo('name')); ?>
	<?php } ?>
	</p>
<?php }?>

		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div class="post" id="post-<?php the_ID(); ?>">

			<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
			<small><?php the_time('F jS, Y'); ?> <!-- by <?php the_author() ?> --></small><br />

		    <div class="entry">
		    <?php the_content('Read more &raquo;'); ?>
				<div class="clear"></div>
		    </div>

			<p class="postmetadata">
			<?php the_tags(); ?><br />
			Posted in <?php the_category(', '); ?><br /><?php comments_popup_link('&#187; No Comments', '&#187; 1 Comment', '&#187; % Comments'); ?><?php edit_post_link('Edit', ' [', ']'); ?></p>

		</div><!-- end post -->

		<?php endwhile; else: ?>

		<p class="no-result"><?php _e('Sorry, no posts matched your criteria.'); ?></p>

		<?php endif; ?>

		<p class="navigation">
		<?php posts_nav_link(' &#8212; ', '&laquo; Previous Page', 'Next Page &raquo;'); ?>
		</p>

	</div>


<?php get_sidebar(); ?>

<?php get_footer(); ?>
